# frozen_string_literal: true

require_relative 'lib/json_pretty_generate/version'

Gem::Specification.new do |spec|
  spec.name          = 'json_pretty_generate'
  spec.version       = JSONPrettyGenerate::VERSION
  spec.authors       = ['Nicholas Palaniuk']
  spec.email         = ['npalaniuk+github@gmail.com']
  spec.summary       = 'Util for pretty printing JSON'
  spec.description   = 'Util for pretty printing JSON'
  spec.homepage      = 'https://github.com/nikkypx/json_pretty_generate'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')
  spec.license       = 'MIT'
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage

  spec.require_paths = ['lib']
  spec.add_dependency 'activesupport', '~> 4.2.10'
end
